Minimum device and version requirements

Article author
TalkingParents
  • Updated

The TalkingParents website is supported on all major internet browsers on their two latest versions. Including but not limited to:

  • Apple Safari (desktop and mobile)
  • Google Chrome (desktop and mobile)
  • Microsoft Edge
  • Firefox

The TalkingParents mobile app is available on the Apple App Store and the Google Play store.

iOS 11 or later is required to download and use the iPhone mobile app. Android 9 or later is required to download and use the Android mobile app. 

 

Please note: TalkingParents does not guarantee support on operating systems in beta or pre-release versions. 

Was this article helpful?

0 out of 0 found this helpful

Have more questions? Submit a request